### org.jfree.layouting.renderer.process

# Class UpdateTokensStep

- `java.lang.Object`
- - `org.jfree.layouting.renderer.process.IterateStructuralProcessStep`
  - - `org.jfree.layouting.renderer.process.UpdateTokensStep`

`public class UpdateTokensStep`
`extends IterateStructuralProcessStep`

Creation-Date: 29.11.2006, 21:56:47

Author:
  Thomas Morgner

  ## Constructor Summary

  `UpdateTokensStep()`

  ## Method Summary

  `void`

  `compute(LogicalPageBox pageBox, LayoutProcess layoutProcess, RenderPageContext pageContext)`

  `protected String`

  `resolveToken(ResolvedToken resolvedToken)`

  `protected boolean`

  `startInlineBox(InlineRenderBox box)`

  ### Methods inherited from class org.jfree.layouting.renderer.process.IterateStructuralProcessStep

  `finishBlockBox`, `finishInlineBox`, `finishNormalFlow`, `finishOtherBox`, `finishOtherNode`, `processBoxChilds`, `processParagraphChilds`, `startBlockBox`, `startInlineBox`, `startNormalFlow`, `startOtherBox`, `startOtherNode`, `startProcessing`

## Constructor Details

### UpdateTokensStep

    public UpdateTokensStep()

## Method Details

### compute

    public void compute(LogicalPageBox pageBox,
                        LayoutProcess layoutProcess,
                        RenderPageContext pageContext)

### resolveToken

    protected String resolveToken(ResolvedToken resolvedToken)

### startInlineBox

    protected boolean startInlineBox(InlineRenderBox box)

> Overrides:
>   startInlineBox in interface IterateStructuralProcessStep